[arch-commits] Commit in xournal/trunk (PKGBUILD xournal.desktop xournal.install)

Eric Bélanger eric at archlinux.org
Sat Oct 31 06:17:34 EDT 2009


    Date: Saturday, October 31, 2009 @ 06:17:34
  Author: eric
Revision: 57029

upgpkg: xournal 0.4.5-1
    Upstream update, added shared-mime-info and poppler-glib depends, fixed .desktop file (close FS#14443), added .install file for mime and icon cache

Added:
  xournal/trunk/xournal.install
Modified:
  xournal/trunk/PKGBUILD
Deleted:
  xournal/trunk/xournal.desktop

-----------------+
 PKGBUILD        |   32 ++++++++++++--------------------
 xournal.desktop |   11 -----------
 xournal.install |   13 +++++++++++++
 3 files changed, 25 insertions(+), 31 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-10-31 10:10:57 UTC (rev 57028)
+++ PKGBUILD	2009-10-31 10:17:34 UTC (rev 57029)
@@ -3,30 +3,22 @@
 # Maintainer: 
 
 pkgname=xournal
-pkgver=0.4.2.1
+pkgver=0.4.5
 pkgrel=1
-arch=('i686' 'x86_64')
-license=('GPL')
 pkgdesc="Notetaking and sketching application"
+arch=('i686' 'x86_64')
 url="http://math.mit.edu/~auroux/software/xournal/"
-source=(http://math.mit.edu/~auroux/software/xournal/xournal-$pkgver.tar.gz \
-	xournal.desktop)
-depends=('libgnomecanvas' 'libgnomeprintui' 'poppler>=0.6' 'ghostscript')
+license=('GPL')
+depends=('libgnomecanvas' 'libgnomeprintui' 'poppler' 'ghostscript' \
+         'shared-mime-info' 'poppler-glib')
+source=(http://math.mit.edu/~auroux/software/xournal/xournal-${pkgver}.tar.gz)
+md5sums=('795e4396ded2b67766eb2926be1fb4a9')
+sha1sums=('390cb275774469ed1b04b7268dd625bd456c895e')
+install=xournal.install
 
-
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./autogen.sh
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  # install some freedesktop.org compatibility
-  install -D -m644 $startdir/src/$pkgname.desktop \
-  $startdir/pkg/usr/share/applications/$pkgname.desktop
+  make DESTDIR="${pkgdir}" install desktop-install || return 1
 }
-
-
-
-
-md5sums=('b56b1403b68b60a5a27b028d91a38e88'
-         '9842b3979e4cc665bbdf3bc656260d47')

Deleted: xournal.desktop
===================================================================
--- xournal.desktop	2009-10-31 10:10:57 UTC (rev 57028)
+++ xournal.desktop	2009-10-31 10:17:34 UTC (rev 57029)
@@ -1,11 +0,0 @@
-[Desktop Entry] 
-Encoding=UTF-8 
-Name=Xournal Notetaking 
-Comment=Take notes with your stylus 
-Exec=xournal %f 
-Terminal=false 
-Type=Application 
-StartupNotify=true 
-MimeType=application/x-xoj; 
-Icon=/usr/share/xournal/pixmaps/xournal.png 
-Categories=GNOME;GTK;Utility;TextEditor;

Added: xournal.install
===================================================================
--- xournal.install	                        (rev 0)
+++ xournal.install	2009-10-31 10:17:34 UTC (rev 57029)
@@ -0,0 +1,13 @@
+post_install() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  update-mime-database usr/share/mime &> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  post_install $1
+}



More information about the arch-commits mailing list